<?php

namespace App\Http\Controllers\Manage\Book;

use App\Modules\Book\Services\BookService;
use App\Http\Controllers\Controller;


class GatherController extends Controller
{

    public  function  __construct()
    {
    }


    /**
     * 更新所有书的章节
     */
    public function updateAll(){
        BookService::updateAll();
    }

    /**
     * 更新章节内容 一本书的
     * @param $bid
     * @return int|string
     */
    public function updateOne($bid){
        BookService::updateOne($bid);
    }

    /**
     * 更新书籍列表
     * @return int
     */
    public function updateBookList(){
        BookService::updateBookList();
    }


    /**
     * 调整所有顺序
     */
    public function adjustSequentAll(){
        BookService::adjustSequentAll();
    }

    /**
     * 调整单本书的顺序
     * @param $bid
     */
    public function adjustSequentOne($bid){
        BookService::adjustSequentOne($bid);
    }

}
